Package bitel.billing.server.contract.object.bean

# Class ObjectTypeManager

java.lang.Object
bitel.billing.server.contract.object.bean.ObjectTypeManager

public class ObjectTypeManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectTypeManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteType(int id)`
  Удаляет тип объекта
  `ObjectType`
  `getType(int id)`
  Получает тип объекта по его коду
  `List<ObjectType>`
  `getTypeList(boolean onlyVisible)`
  Получает список значений типов объектов
  `Map<Integer,ObjectType>`
  `getTypeMap()`
  Возвращает карту типов объектов и их кодов
  `int`
  `updateType(ObjectType type)`
  Обновляет значение типа объекта

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectTypeManager

    public ObjectTypeManager(Connection con)

- ## Method Details

  - ### getTypeMap

    public Map<Integer,ObjectType> getTypeMap()
    Возвращает карту типов объектов и их кодов
    Returns:

  - ### getTypeList

    public List<ObjectType> getTypeList(boolean onlyVisible) throws ru.bitel.bgbilling.common.BGException
    Получает список значений типов объектов
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getType

    public ObjectType getType(int id) throws ru.bitel.bgbilling.common.BGException
    Получает тип объекта по его коду
    Parameters:
      `id` - код типа объекта
    Returns:
      null - если нету
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateType

    public int updateType(ObjectType type) throws ru.bitel.bgbilling.common.BGException
    Обновляет значение типа объекта
    Parameters:
      `type` - тип объекта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteType

    public void deleteType(int id) throws ru.bitel.bgbilling.common.BGException
    Удаляет тип объекта
    Parameters:
      `id` - код типа объекта
    Throws:
      `ru.bitel.bgbilling.common.BGException`